var Config = {

	imageListUrl : "" ,
	uploadUrl : "" ,
	deleteUrl : "" ,
	imageUrl : "", 
	artikelid : null ,
	pagetype : null,

//////////////////////////////////////////////////////////////////////////////////////
	getImageListUrl : function(){

		var url = Config._replace( Config.imageListUrl );

		return tinyMCEPopup.editor.documentBaseURI.toAbsolute(url);
	},

	getUploadUrl : function(){

		var url = Config._replace( Config.uploadUrl );

		return tinyMCEPopup.editor.documentBaseURI.toAbsolute(url);
	},

	getDeleteUrl : function(imgname){

		var url = Config._replace( Config.deleteUrl );

		url = url.replace(/\{imgname\}/g,imgname);
		return tinyMCEPopup.editor.documentBaseURI.toAbsolute(url);
	},

	getImageUrl : function(imgname,nofull){

		var url = Config._replace( Config.imageUrl );

		url = url.replace(/\{imgname\}/g,imgname);
		return (nofull)?url:tinyMCEPopup.editor.documentBaseURI.toAbsolute(url);
	},

	_replace : function(url){

		if(Config.artikelid != null && typeof Config.artikelid != 'undefined'){
			url = url.replace(/\{artikelid\}/g,Config.artikelid);
		}
		if(Config.pagetype != null && typeof Config.pagetype != 'undefined'){
			url = url.replace(/\{pagetype\}/g,Config.pagetype);
		}
		return url;
	}
	
}